### Class

# WebKit ResponsePolicyDecision

unstable since: 6.0

#### Description [src]

    final class WebKit.ResponsePolicyDecision : WebKit.PolicyDecision
    {
      /* No available fields */
    }

A policy decision for resource responses.

WebKitResponsePolicyDecision represents a policy decision for a resource response, whether from the network or the local system. A very common use case for these types of decision is deciding whether or not to download a particular resource or to load it normally.

Available since: 6.0

#### Ancestors

- WebKitPolicyDecision
- GObject

#### Instance methods

###### webkit_response_policy_decision_get_request

Return the `WebKitURIRequest` associated with the response decision.

unstable since: 6.0

###### webkit_response_policy_decision_get_response

Gets the value of the `WebKitResponsePolicyDecision:response` property.

unstable since: 6.0

###### webkit_response_policy_decision_is_main_frame_main_resource

Gets whether the request is the main frame main resource.

since: 2.40

###### webkit_response_policy_decision_is_mime_type_supported

Gets whether the MIME type of the response can be displayed in the `WebKitWebView`.

since: 2.4

##### Methods inherited from WebKitPolicyDecision (4)

###### webkit_policy_decision_download

Spawn a download from this decision.

unstable since: 6.0

###### webkit_policy_decision_ignore

`WebKitResponsePolicyDecision`, this would cancel the request.

unstable since: 6.0

###### webkit_policy_decision_use

Accept the action which triggered this decision.

unstable since: 6.0

###### webkit_policy_decision_use_with_policies

Accept the navigation action and continue with provided `policies`.

since: 2.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit.ResponsePolicyDecision:request

This property contains the `WebKitURIRequest` associated with this policy decision.

unstable since: 6.0

###### WebKit.ResponsePolicyDecision:response

This property contains the `WebKitURIResponse` associated with this policy decision.

unstable since: 6.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKitResponsePolicyDecisionClass {
      WebKitPolicyDecisionClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitPolicyDecisionClass`
  No description available.